Oude Android-versieZit jij ook met een oude Android-versie opgescheept? Daar wil Google verandering in gaan brengen. Google zou fabrikanten willen gaan verplichten om voor nieuwe Android-toestellen recente versies van Android te gebruiken. Als ze hier niet aan gehoorzamen, dan mogen ze de Google-apps niet voor hun toestellen gebruiken. Ofwel: dan moeten ze een Android-apparaat zonder YouTube, Google Maps, Gmail en zelfs de Play Store op de markt brengen. En dat klinkt voor veel fabrikanten niet heel aantrekkelijk.

Fabrikanten mogen tot op heden zelf kiezen welke Android-versie (bekijk ook onze uitgebreide Android versies overzicht) ze met een apparaat leveren. Gelukkig kiezen velen ervoor om een recente Android-versie te gebruiken, zoals Android 4.4, maar zijn er ook veel fabrikanten van (goedkopere) smartphones en tablets die ervoor kiezen om nog steeds Android 4.0 te gebruiken.

Oude Android-versies zijn verleden tijd

Moto G Android 4.4 updateDe informatie komt van het doorgaans goed ingelichte Android Police, die een lijst in handen hebben waarin staat dat Google toestellen met Android-versies 2.3 toto 4.1 gewoonweg niet meer goedkeurt. Toestellen met Android 4.2 worden nog tot 24 februari goedgekeurd, voor apparaten met Android 4.3 is 31 juli de deadline. Na 31 juli wordt alleen Android 4.4 door Google goedgekeurd.

Dit zou betekenen dat ook low-end toestellen, die veelal met een oude Android-versie worden geleverd, ook aan deze vrij strikte regels moeten voldoen. De Moto G is hier een goed voorbeeld van, die als budgetmodel al wel op Android 4.4 draait.

In de lijst staat ook dat app-ontwikkelaars voortaan negen maanden de tijd hebben om hun toestellen naar de meest recente Android-versie te updaten. Als dit niet het geval is, worden de apps uit Google Play verwijderd.

Draag ook bij aan dit artikel

Deel je kennis of stel een vraag. Dat kan anoniem of met een Disqus account.